
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/willow.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/soopa.zip" ),
}
local prefabs = {}

	
local fn = function(inst)
	--speech sound and map icon
	inst.soundsname = "wilson"
	inst.MiniMapEntity:SetIcon( "wilson.png" )

	--Stats
	inst.components.health:SetMaxHealth(100)
	inst.components.hunger:SetMax(100)
	inst.components.sanity:SetMax(80)
	inst.components.combat.damagemultiplier = .75
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.5)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.5)
	--Sanity FX
	inst.components.sanity.night_drain_mult = -1
	inst.components.sanity.neg_aura_mult = 1.8
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.3 )

end

STRINGS.CHARACTER_TITLES.soopa = "The Derpcat"
STRINGS.CHARACTER_NAMES.soopa = "Soopa"
STRINGS.CHARACTER_DESCRIPTIONS.soopa = "*Loves dark, cozy places.\n*Fast but weak.\n*Terrified of monsters, low sanity."
STRINGS.CHARACTER_QUOTES.soopa = "\"Those bunnies have huge incisors, could sever arteries\""
STRINGS.CHARACTERS.SOOPA = require "speech_soopa"

return MakePlayerCharacter("soopa", prefabs, assets, fn)
